> For the complete documentation index, see [llms.txt](https://docs.super-forms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.super-forms.com/developers/code-examples/re-sending-e-mails-after-editing-entries-via-listings-for-wordpress.md).

# Re-sending E-mails after editing entries via Listings for WordPress

Send Admin email or Confirmation Email again after editing an entry via the Listings Add-on. In the below code example we changed the `send` and `confirm` to **yes**. That way when you edit an entry in the table view on your WordPress site it will trigger the emails again.

You can add the below code into your child theme **functions.php** file.

```php
add_filter('super_before_submit_form_settings_filter', 'f4d_alter_form_settings_before_submit', 50, 2); 
function f4d_alter_form_settings_before_submit($settings, $args){ 
    extract($args); 
    if($list_id!==''){ 
        // In order to edit entries we need to make sure some settings are not enabled  
        $overrideSettings = array( 
            'send'=>'yes', // changed to 'yes' so that the form will re-send the email
            'confirm'=>'yes' // changed to 'yes' so that the form will re-send the email
        ); 
        $global_settings = SUPER_Common::get_global_settings(); 
        $i = 1; 
        while($i <= absint($global_settings['email_reminder_amount'])){ 
            $overrideSettings['email_reminder_'.$i] = ''; 
            $i++; 
        } 
        foreach($overrideSettings as $k => $v){ 
            $settings[$k] = $v; 
        } 
    } 
    return $settings; 
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.super-forms.com/developers/code-examples/re-sending-e-mails-after-editing-entries-via-listings-for-wordpress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
